#
# spec file for package splashanim (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg liblcms libmng libmng-devel libz
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg liblcms libmng libmng-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         splashanim
Version:      0.2
Release:      42
Summary:      Console splash animations during bootup
Copyright:   Copyright (c) Stefan Reinauer <stepan@suse.de>, Ken Wimer <wimer@suse.de>, Torsten Rahn <tackat@suse.de>
Group:       Base/Kernel
Autoreqprov: on
Source0:  fbmngplay.tar.bz2
Source1:  splashutil.tar.bz2
Source2:  splash-animations.tar.bz2
Source3:  splash.dsc
Source4:  splash_early
Source5:  splash_late
Source6:  bootsplash-1024x768.jpg
Source7:  bootsplash-1024x768.cfg
Source8:  bootsplash-800x600.jpg
Source9:  bootsplash-800x600.cfg
Source10: bootsplash-1280x1024.jpg
Source11: bootsplash-1280x1024.cfg
BuildRoot:    %{_tmppath}/%{name}-build

%description
This package adds nice status animations to the boot process
(needs console splash screen enabled)

Authors:
--------
    Stefan Reinauer <stepan@suse.de> 
    Kenneth W. Wimer <wimer@suse.de> 
    Torsten Rahn <tackat@suse.de> 
    

SuSE series: a

%prep
%setup -n fbmngplay -b1 -b2

%build
make
strip -s fbmngplay
cd ../splashutil
make
strip -s splash

%install
cd ..
mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/share/
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/rc3.d
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d/rc5.d
cp    fbmngplay/fbmngplay    ${RPM_BUILD_ROOT}/bin
cp    fbmngplay/fbmngplay.static ${RPM_BUILD_ROOT}/bin
cp    splashutil/splash      ${RPM_BUILD_ROOT}/bin
cp -a splash		     ${RPM_BUILD_ROOT}/usr/share
cp    ${RPM_SOURCE_DIR}/splash.dsc ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-1024x768.jpg ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-1024x768.cfg ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-800x600.jpg ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-800x600.cfg ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-1280x1024.jpg ${RPM_BUILD_ROOT}/usr/share/splash
cp    ${RPM_SOURCE_DIR}/bootsplash-1280x1024.cfg ${RPM_BUILD_ROOT}/usr/share/splash
install -m 755    ${RPM_SOURCE_DIR}/splash_early ${RPM_BUILD_ROOT}/etc/init.d
install -m 755    ${RPM_SOURCE_DIR}/splash_late ${RPM_BUILD_ROOT}/etc/init.d

%post
ln -s bootsplash-1024x768.jpg /usr/share/splash/bootsplash.jpg
ln -s bootsplash-1024x768.cfg /usr/share/splash/bootsplash.cfg
# add start/stop links
sbin/insserv etc/init.d/splash_early
sbin/insserv etc/init.d/splash_late

%postun
test -L /usr/share/splash/bootsplash.jpg && rm -f /usr/share/splash/bootsplash.jpg
test -L /usr/share/splash/bootsplash.cfg && rm -f /usr/share/splash/bootsplash.cfg
# cleanup
sbin/insserv etc/init.d/

%files
/bin/fbmngplay
/bin/fbmngplay.static
/bin/splash
/usr/share/splash
%config /etc/init.d/splash_early
%config /etc/init.d/splash_late

%changelog -n splashanim
* Wed Sep 26 2001 - stepan@suse.de
- maka all killalls quiet.
* Tue Sep 25 2001 - stepan@suse.de
- fixed splash_late to show animations only when going to
  runlevel 6 or 0.
- fixed text coordinates in CFG files.
- updated animation for fsck (safes a lot of memory).
* Mon Sep 24 2001 - stepan@suse.de
- fixed bootup/shutdown race (end running fbmngplay processes
  before running shutdown animations)
* Thu Sep 20 2001 - stepan@suse.de
- new pictures for 1280x1024 and 800x600 (signature free)
- get rid of old fsck and early initrd animation.
- some updated animations
- fbmngplay updated for 7.3 (output handling)
- switch off penguin on bootconsole when final runlevel is
  reached. May be switched on again by doing echo 2 >/proc/splash
  twice
* Wed Sep 19 2001 - stepan@suse.de
- fbmngplay: ignore multiple USR1 signals to prevent halt animation
  to stop too early.
- fbmngplay: if play console is different from start console, bail
  out for now.
- splash.dsc: changes to keep quiet during shutdown.
- picture update
- animation update
* Tue Sep 18 2001 - stepan@suse.de
- changed splash.dsc since during early bootup current console
  can not be determined.
* Thu Sep 13 2001 - stepan@suse.de
- new version of fbmngplay because of new feature: only show
  animation on start console or other specifiable console
- new version of splash.dsc adopted for fbmngplay changes
* Thu Sep 13 2001 - ro@suse.de
-  added liblcms to neededforbuild
* Wed Sep 12 2001 - stepan@suse.de
- updated to fbmngplay-0.3 because of new feature: dynamic position
  calculation depending on current resolution.
- new version of splashutil: substring matching for log strings to
  get rid of static runlevel start priorities in splash.dsc
- new splash.dsc with parameters fitting the above changes.
* Wed Sep 12 2001 - stepan@suse.de
- jpeg pictures did not decompress correctly. using
  cjpeg optimized pictures again.
* Tue Sep 11 2001 - stepan@suse.de
- new bootsplash jpegs in 2 different resolutions now:
  800x600 and 1024x768(default)
* Mon Sep 10 2001 - stepan@suse.de
- new bootsplash.jpg with corrected text background color.
- repair pseudo function handling in rc scripts.
* Mon Sep 10 2001 - stepan@suse.de
- add bootsplash.jpg and bootsplash.cfg to /usr/share/splash/
  for new mk_initrd.
* Fri Sep 07 2001 - stepan@suse.de
- fbmngplay: fixed bug in alpha transparency code.
- implemented pseudo functions for missing rc script targets.
* Fri Sep 07 2001 - stepan@suse.de
- new fbmngplay. Now with better parameter parsing,
  allows multiple mngs to be played, start time
  triggerable by SIGUSR1. Support for 24/32 bit.
  buffered read support.
- new splash.dsc adopted to new fbmngplay.
* Wed Sep 05 2001 - ro@suse.de
- fixed start stop scripts
* Mon Sep 03 2001 - stepan@suse.de
- fixed bug that caused "splash" to hang while parsing
  config file.
- removed debug output from "splash"
- faster fadeout in fbmngplay
- updated animations
- moved splash.dsc from archive to rpm root
- added extra runlevel script for better animation control
- run splashctrl script in runlevels 3 and 5
* Thu Aug 23 2001 - stepan@suse.de
- initial version.
